"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompositeTask = void 0;
const task_1 = require("./task");
/**
 * A task that is composed of other tasks
 */
class CompositeTask extends task_1.Task {
    constructor(tasks) {
        super();
        this._tasks = [];
        this._tasks = tasks;
        this._completedTasks = 0;
        this._failedTasks = 0;
        for (const task of tasks) {
            task._parent = this;
            if (task._isComplete) {
                this.onChildCompleted(task);
            }
        }
    }
    // @todo: should be abstract method
    onChildCompleted(_) { }
}
exports.CompositeTask = CompositeTask;
