"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskFailedError = void 0;
const failure_details_1 = require("../failure-details");
class TaskFailedError extends Error {
    constructor(message, details) {
        super(message);
        this._details = new failure_details_1.FailureDetails(details.getErrormessage(), details.getErrortype(), details?.getStacktrace()?.getValue());
    }
    get details() {
        return this._details;
    }
}
exports.TaskFailedError = TaskFailedError;
