import { WhenAllTask } from "./when-all-task";
import { Task } from "./task";
import { WhenAnyTask } from "./when-any-task";
/**
 * Returns a task that completes when all of the provided tasks complete or when one of the tasks fail
 *
 * @param tasks the tasks to wait for
 * @returns {WhenAllTask} a task that completes when all of the provided tasks complete or when one of the tasks fail
 */
export declare function whenAll<T>(tasks: Task<T>[]): WhenAllTask<T>;
/**
 * Returns a task that completes when any of the provided tasks complete or fail
 *
 * @param tasks
 * @returns
 */
export declare function whenAny(tasks: Task<any>[]): WhenAnyTask;
/**
 * Returns the name of the provided function
 *
 * @param fn
 * @returns
 */
export declare function getName(fn: Function): string;
