"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.WhenAnyTask = void 0;
const composite_task_1 = require("./composite-task");
/**
 * A task that completes when any of its child tasks complete
 */
class WhenAnyTask extends composite_task_1.CompositeTask {
    constructor(tasks) {
        super(tasks);
    }
    onChildCompleted(task) {
        if (!this.isComplete) {
            this._isComplete = true;
            this._result = task;
        }
    }
}
exports.WhenAnyTask = WhenAnyTask;
