import { NonDeterminismError } from "../task/exception/non-determinism-error";
import * as pb from "../proto/orchestrator_service_pb";
export declare function getNonDeterminismError(taskId: number, actionName: string): NonDeterminismError;
export declare function getWrongActionTypeError(taskId: number, expectedMethodName: string, action: pb.OrchestratorAction): NonDeterminismError;
export declare function getWrongActionNameError(taskId: number, methodName: string, expectedTaskName?: string, actualTaskName?: string): NonDeterminismError;
export declare function getMethodNameForAction(action: pb.OrchestratorAction): string;
export declare function getNewEventSummary(newEvents: pb.HistoryEvent[]): string;
/**
 * Returns a summary of the new actions that can be used for logging
 * @param newActions
 */
export declare function getActionSummary(newActions: pb.OrchestratorAction[]): string;
/**
 * Returns true of the event is one that can be suspended and resumed
 * @param event
 */
export declare function isSuspendable(event: pb.HistoryEvent): boolean;
